可以在哪裡下載LabVIEW 2019 SoftMotion Module或NI-Motion 19版的驅動程式

更新 Oct 27, 2020

產品資訊

軟體

  • LabVIEW SoftMotion Module

驅動程式

  • NI-Motion

問題敘述

  • 在哪裡可以找到LabVIEW 2019 SoftMotion Module或NI-Motion 19.0驅動程式?
  • 在哪裡可以找到最新的Motion驅動程式和SoftMotion Module?

解決方案

NI並沒有LabVIEW 2019 SoftMotion Module或NI-Motion 19驅動程式。

如果您需要使用LabVIEW SoftMotion Module,請使用LabVIEW 2018 SoftMotion Module和LabVIEW 2018。
如果您需要使用NI-Motion驅動程式,請在LabVIEW 2018上使用NI-Motion 18.0

NI-Motion的readme文件顯示,LabVIEW 2015或更高版本的LabVIEW皆有支援。但是上述說明僅能解讀成支援2015到NI-Motion 18.0發布前的更高版本。換句話說,LabVIEW 2015、2016、2017和2018皆有正式支援 NI-Motion,而沒有與LabVIEW 2019相容的SoftMotion Module或NI-Motion驅動程式。

相關資訊

如果您的系統環境比較複雜,NI建議與第三方Motion整合商或合作夥伴聯繫,以便評估應用需求和解決方案。下面列出一些可能的替代方案。

推薦替代方案

  • 使用第三方控制器並透過序列或乙太網路連接NI產品:
    • 使用LabVIEW API進行序列控制
    • 不使用LabVIEW API進行序列控制
  • 使用標準的C系列模組並在FPGA中撰寫所有Motion控制程式
  • 使用EtherCAT搭配NI EtherCAT驅動程式,作為替代SoftMotion之方案